function onBegin()
    disableMovement()
    disableRetry()
      wait(1)
      say("Blossom_Ending_1")
      walkTo(-4128, false, 0.7)
      player.DummyAutoAnimate = false
      player.Sprite:Play("hug")
      wait(1)
      say("Blossom_Ending_2")
      completeArea()
end

function onEnd()
      completeArea()
end